# relative to datadir
%define type1fontdir fonts/urw-base35/
%define debug_package %{nil} 
Name:           gracegtk
Version:        1.3.0
Release: 28.fc41
Summary:        GraceGTK is an evolution of the grapher Grace which is a Numerical Data Processing and Visualization Tool

License:        GPLv2+
# cephes is LGPL, see also Source3 and Source4
URL:            https://sourceforge.net/p/gracegtk/home/gracegtk/
Source0:        https://sourceforge.net/projects/gracegtk/files/gracegtk-%{version}.tar.gz
Source1:        %{name}.desktop
Source3:        cephes-license.email
Source4:        LICENSE.cephes
Source5:        %{name}-icons.tgz
Source6:        %{name}-profile.sh
Source7:        FontDataBase

Patch0:		gracegtk-remove-xfig-fonts.patch
Patch1:		gracegtk-rc-window.patch

BuildRequires:  gsl-devel t1lib-devel fftw-devel zlib-devel
BuildRequires:  cairo-devel gtk2-devel gcc-gfortran blas-devel libscs-devel libICE-devel atlas-devel netcdf-devel 
BuildRequires:  cups-devel xdrfile-devel 
BuildRequires:  linuxdoc-tools
BuildRequires:  desktop-file-utils
BuildRequires:  urw-base35-fonts
Requires:       urw-base35-fonts
Requires:       gsl t1lib fftw zlib cairo gtk2 gcc-gfortran blas libscs atlas 
Requires:       libICE netcdf xdrfile
Requires:       nedit
Requires:       xdg-utils

%description
GraceGTK is an application for two-dimensional data visualization.
GraceGTK can transform the data using free equations, FFT, cross- and
auto-correlation, differences, integrals, histograms, and much
more. The generated figures are of high quality.  GraceGTK is a very
convenient tool for data inspection, data transformation, and for
making figures for publications.

#%package devel
#Summary:        Files needed for gracegtk development
#License:        LGPLv2+
#Requires:       %{name} = %{version}-%{release}
#Provides:       %{name}-static = %{version}-%{release}

#%description devel
#Install these files if you need to compile software that requires gracegtk.

%prep
%setup -q -D -a 5
%patch 0 -p1
%patch 1 -p1

%build
cp %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6}  .

#./configure --prefix=/usr --enable-grace-home=/usr/share/gracegtk --bindir=/usr/bin --datadir=/usr/share/gracegtk --mandir=/usr/share/man/man1 --sysconfdir=/etc/gracegtk
make all

%install
make install DESTDIR=%{buildroot}

mkdir -pm 755                               \
    %{buildroot}%{_bindir}                  \
    %{buildroot}%{_datadir}/icons/hicolor/48x48/apps \
    %{buildroot}%{_datadir}/applications    \
    %{buildroot}%{_datadir}/gracegtk    \
    %{buildroot}%{_datadir}/man/man1    \
    %{buildroot}%{_sysconfdir}/%{name}
#    %{buildroot}%{_libdir}                  \
#    %{buildroot}%{_includedir}              \
#    %{buildroot}%{_mandir}/man1 

#
# Let's have some sanity
#
cp CHANGES COPYRIGHT DEVELOPERS LICENSE README %{buildroot}%{_datadir}/%{name}
rm -rf %{buildroot}/%{_datadir}/%{name}/doc
mkdir -p %{buildroot}/%{_datadir}/%{name}/doc
install -pm 644 doc/GraceGTK.pdf %{buildroot}/%{_datadir}/%{name}/doc/GraceGTK.pdf
 
pushd %{buildroot}/usr/gracegtk
mv bin/ggrace{,_bin}
echo "export GRACEGTK_HOME=/usr/share/gracegtk/" > bin/ggrace
echo "/usr/bin/ggrace_bin \"\$*\" 2>/dev/null" >>  bin/ggrace
chmod a+x bin/ggrace

rm -f bin/convcal
install -pm 755 bin/* %{buildroot}%{_bindir}/
rm -rf bin
ln -s %{_bindir} %{buildroot}%{_datadir}/%{name}/bin

#cp -p lib/*   %{buildroot}%{_libdir}/
rm -rf lib
#ln -s %{_libdir} %{buildroot}%{_datadir}/%{name}/lib

#install -pm 644 include/* %{buildroot}%{_includedir}/
rm -rf include
#ln -s %{_includedir} %{buildroot}%{_datadir}/%{name}/include

# use fonts from type1fontdir
rm -rf fonts/type1
##
ln -sf %{_datadir}/%{type1fontdir} fonts/type1
cp -f %{SOURCE7} fonts/FontDataBase
mv fonts/FontDataBase %{buildroot}%{_sysconfdir}/%{name}
ln -s ../../../../%{_sysconfdir}/%{name}/FontDataBase fonts/FontDataBase

# the convcal source file shouldn't be installed, it is removed here
rm -f auxiliary/convcal.c

# move config files to %%{_sysconfdir} and do symlinks
for conf in %{name}rc templates %{name}rc.user; do
    mv $conf %{buildroot}%{_sysconfdir}/%{name}
    ln -sf %{_sysconfdir}/%{name}/$conf %{buildroot}%{_datadir}/%{name}/$conf
done

popd

#
# Desktop stuff
#
tar xvf %{name}-icons.tgz -C %{buildroot}
mkdir %{buildroot}%{_sysconfdir}/profile.d/
cp gracegtk-profile.sh %{buildroot}%{_sysconfdir}/profile.d/

desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications          \
    %{SOURCE1}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license LICENSE
%doc CHANGES COPYRIGHT DEVELOPERS LICENSE README
%doc cephes-license.email LICENSE.cephes
%config(noreplace) %{_sysconfdir}/%{name}/
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/include
%exclude %{_datadir}/%{name}/lib
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/grace.png
#%{_mandir}/man1/*.1*
%{_sysconfdir}/profile.d/gracegtk-profile.sh
   /usr/gracegtk/auxiliary/README
   /usr/gracegtk/auxiliary/magic.grace
   /usr/gracegtk/doc/10.1.dat
   /usr/gracegtk/doc/10a.dat
   /usr/gracegtk/doc/10b.dat
   /usr/gracegtk/doc/10c.dat
   /usr/gracegtk/doc/2.1.dat
   /usr/gracegtk/doc/3.dat
   /usr/gracegtk/doc/7.1.2.agr
   /usr/gracegtk/doc/7.1.3.agr
   /usr/gracegtk/doc/8.2.dat
   /usr/gracegtk/doc/CHANGES.html
   /usr/gracegtk/doc/FAQ.html
   /usr/gracegtk/doc/GPL.html
   /usr/gracegtk/doc/GraceGTK.pdf
   /usr/gracegtk/doc/Tutorial.html
   /usr/gracegtk/doc/UsersGuide.html
   /usr/gracegtk/doc/convcal.1
   /usr/gracegtk/doc/grace.1
   /usr/gracegtk/doc/gracebat.1
   /usr/gracegtk/doc/grconvert.1
   /usr/gracegtk/doc/mygraph.png
   /usr/gracegtk/doc/nohelp.html
   /usr/gracegtk/doc/philosophical-gnu-sm.jpg
   /usr/gracegtk/doc/shiftdata.sh
   /usr/gracegtk/doc/xmgrace.1
   /usr/gracegtk/examples/1_example_import.dat
   /usr/gracegtk/examples/389px-Eiffel_Tower_Paris_01.jpg
   /usr/gracegtk/examples/NIST_Chwirut1.agr
   /usr/gracegtk/examples/NIST_Chwirut1.dat
   /usr/gracegtk/examples/NIST_Hahn1.agr
   /usr/gracegtk/examples/NIST_MGH10.agr
   /usr/gracegtk/examples/NIST_MGH17.agr
   /usr/gracegtk/examples/advanced_scripting_01.agr
   /usr/gracegtk/examples/advanced_scripting_01.com
   /usr/gracegtk/examples/advanced_scripting_01b.agr
   /usr/gracegtk/examples/altaxis.par
   /usr/gracegtk/examples/arrows.agr
   /usr/gracegtk/examples/au.agr
   /usr/gracegtk/examples/axes.agr
   /usr/gracegtk/examples/bar.agr
   /usr/gracegtk/examples/boxplot.agr
   /usr/gracegtk/examples/brw.dat
   /usr/gracegtk/examples/chartebar.agr
   /usr/gracegtk/examples/charts.agr
   /usr/gracegtk/examples/co2.agr
   /usr/gracegtk/examples/co2.par
   /usr/gracegtk/examples/dotest
   /usr/gracegtk/examples/explain.agr
   /usr/gracegtk/examples/fills.agr
   /usr/gracegtk/examples/graphs.par
   /usr/gracegtk/examples/hilo.agr
   /usr/gracegtk/examples/log.dat
   /usr/gracegtk/examples/log2.agr
   /usr/gracegtk/examples/log2log.agr
   /usr/gracegtk/examples/logistic.agr
   /usr/gracegtk/examples/logistic.fit
   /usr/gracegtk/examples/logit.agr
   /usr/gracegtk/examples/logtest.par
   /usr/gracegtk/examples/manygraphs.agr
   /usr/gracegtk/examples/mlo.dat
   /usr/gracegtk/examples/motif.agr
   /usr/gracegtk/examples/ng_arcs.agr
   /usr/gracegtk/examples/ng_digitizer.agr
   /usr/gracegtk/examples/ng_digitizer1.jpg
   /usr/gracegtk/examples/ng_diode.agr
   /usr/gracegtk/examples/ng_explain.agr
   /usr/gracegtk/examples/ng_filter1.agr
   /usr/gracegtk/examples/ng_follow_me.agr
   /usr/gracegtk/examples/ng_fonts.agr
   /usr/gracegtk/examples/ng_fourier.agr
   /usr/gracegtk/examples/ng_fourier2.agr
   /usr/gracegtk/examples/ng_fourier3.agr
   /usr/gracegtk/examples/ng_france.agr
   /usr/gracegtk/examples/ng_france.dat
   /usr/gracegtk/examples/ng_france_marseille_300x225.jpg
   /usr/gracegtk/examples/ng_histogram.agr
   /usr/gracegtk/examples/ng_import.agr
   /usr/gracegtk/examples/ng_import_netcdf.nc
   /usr/gracegtk/examples/ng_import_netcdfb.agr
   /usr/gracegtk/examples/ng_loess_gas.dat
   /usr/gracegtk/examples/ng_mixed.agr
   /usr/gracegtk/examples/ng_nonlfit.agr
   /usr/gracegtk/examples/ng_nonlfit_by_hand.agr
   /usr/gracegtk/examples/ng_nonlfitb.agr
   /usr/gracegtk/examples/ng_nonlloess.agr
   /usr/gracegtk/examples/ng_polar2.agr
   /usr/gracegtk/examples/ng_reciprocal.agr
   /usr/gracegtk/examples/ng_sample.agr
   /usr/gracegtk/examples/ng_spectrum2.agr
   /usr/gracegtk/examples/ng_spline.agr
   /usr/gracegtk/examples/ng_testf90.agr
   /usr/gracegtk/examples/ng_wavelet.agr
   /usr/gracegtk/examples/ng_wavelet.dat
   /usr/gracegtk/examples/ng_wavelet2.agr
   /usr/gracegtk/examples/ng_waveletb.agr
   /usr/gracegtk/examples/ng_xfig_1.fig
   /usr/gracegtk/examples/ng_xfig_2.fig
   /usr/gracegtk/examples/ng_xfig_import.agr
   /usr/gracegtk/examples/ng_xfig_import_transit.agr
   /usr/gracegtk/examples/ng_xyc.agr
   /usr/gracegtk/examples/ng_xycmap.agr
   /usr/gracegtk/examples/ng_xycmap_1.agr
   /usr/gracegtk/examples/ng_xycmap_3.agr
   /usr/gracegtk/examples/ng_xycsym_1.agr
   /usr/gracegtk/examples/ng_xycsym_2.agr
   /usr/gracegtk/examples/ng_xycvmap.agr
   /usr/gracegtk/examples/ng_xyspline.agr
   /usr/gracegtk/examples/ng_xyvmap.agr
   /usr/gracegtk/examples/pie.agr
   /usr/gracegtk/examples/polar.agr
   /usr/gracegtk/examples/props.agr
   /usr/gracegtk/examples/reciprocal.agr
   /usr/gracegtk/examples/regions.par
   /usr/gracegtk/examples/spectrum.agr
   /usr/gracegtk/examples/stackedb.agr
   /usr/gracegtk/examples/symslines.agr
   /usr/gracegtk/examples/terr.agr
   /usr/gracegtk/examples/test.com
   /usr/gracegtk/examples/test.dat
   /usr/gracegtk/examples/test1.par
   /usr/gracegtk/examples/test2.agr
   /usr/gracegtk/examples/tfonts.agr
   /usr/gracegtk/examples/tforms.par
   /usr/gracegtk/examples/times.agr
   /usr/gracegtk/examples/tinset.agr
   /usr/gracegtk/examples/tlog.agr
   /usr/gracegtk/examples/tmc.c
   /usr/gracegtk/examples/transit.fig
   /usr/gracegtk/examples/tstack.agr
   /usr/gracegtk/examples/txttrans.agr
   /usr/gracegtk/examples/txyr.agr
   /usr/gracegtk/examples/typeset.agr
   /usr/gracegtk/examples/vmap.agr
   /usr/gracegtk/examples/xycolor.agr
   /usr/gracegtk/examples/xysize.agr
   /usr/gracegtk/examples/xyz.agr
   /usr/gracegtk/fonts/FontDataBase
   /usr/gracegtk/fonts/enc/CP1251.enc
   /usr/gracegtk/fonts/enc/IsoLatin1.enc
   /usr/gracegtk/fonts/enc/IsoLatin2.enc
   /usr/gracegtk/fonts/enc/IsoLatin7.enc
   /usr/gracegtk/fonts/enc/IsoLatin9.enc
   /usr/gracegtk/fonts/enc/KOI8-R.enc
   /usr/gracegtk/fonts/enc/KOI8-U.enc
   /usr/gracegtk/fonts/enc/MacRoman.enc
   /usr/gracegtk/fonts/enc/PDFDoc.enc
   /usr/gracegtk/fonts/enc/PSLatin1.enc
   /usr/gracegtk/fonts/enc/WinAnsi.enc
   /usr/gracegtk/fonts/type1
   /usr/gracegtk/python/GraceGtkPlot.py
   /usr/gracegtk/python/__init__.py
   /usr/gracegtk/python/symbol_mapping.py

%changelog
